/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *
 * @author student1
 */
public class Invoice implements Serializable{
    private Long id;
    private Date dateCreated;
    private BigDecimal amount;
    private List<InvoiceItem> invoiceItems;

    public Invoice() {
        invoiceItems=new ArrayList<>();
    }

    public Invoice(Long id, Date dateCreated, BigDecimal amount, List<InvoiceItem> invoiceItems) {
        this.id = id;
        this.dateCreated = dateCreated;
        this.amount = amount;
        this.invoiceItems = invoiceItems;
    }

    public List<InvoiceItem> getInvoiceItems() {
        return invoiceItems;
    }

    public void setInvoiceItems(List<InvoiceItem> invoiceItems) {
        this.invoiceItems = invoiceItems;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getDateCreated() {
        return dateCreated;
    }

    public void setDateCreated(Date dateCreated) {
        this.dateCreated = dateCreated;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
    
    
}
